Re: libxklavier: version bump to 5.0


Le mardi 12 janvier 2010 à 18:28 +0000, Sergey Udaltsov a écrit :
> I request permission to bump the required libxklavier version to 5.0
> on wiki page. The library API was changed to facilitate latest changes
> in gnome-settings-daemon and gnome-applets - i.e. phasing out of the
> indicator applet, and using notification icon (implemented in g-s-d
> keyboard plugin).

I understand that needs evolve and I could see the feature and stability
improvements of libxklavier over the years. However, the number of ABI
and API transitions makes this package a real pain to handle for us
downstream distributors.

It would be very appreciated if you could introduce as many as possible
of the changes in libxklavier in an ABI-compatible way. This library is
also used by KDE and Xfce, and every time this requires synchronised
updates, or even porting, of a number of packages.

 .''`.      Josselin Mouette
: :' :
`. `'   “You did never write something helpful
  `-     besides your trolling”  -- Jörg Schilling

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]